using System.Collections.Generic;
using System.Linq;

[System.Serializable]
public class ObjectContainerSerializable
{
    public string Filename;
    public string GUID;
    public List<FrameContent> Frames;

    public ObjectContainerSerializable() { }

    public ObjectContainerSerializable(ObjectContainer containerBase)
    {
        this.Filename = containerBase.name;
        this.GUID = containerBase.GUID;
        this.Frames = containerBase.Frames.Select(frame => new FrameContent(frame)).ToList();
    }

    public ObjectContainerSerializable(ObjectContainerSerializable source)
    {
        this.Filename = source.Filename;
        this.GUID = source.GUID;
        this.Frames = source.Frames.Select(frame => new FrameContent(frame)).ToList();
    }
}